.app-body {
  background: no-repeat #FFFFFF;
  background: no-repeat -webkit-linear-gradient(top, #FFFFFF, #dddcdd);
  background: no-repeat -moz-linear-gradient(top, #FFFFFF, #dddcdd);
  background: no-repeat linear-gradient(to bottom, #FFFFFF, #dddcdd);
  padding-bottom: 120px;
  min-height: 600px;
}

#app-content > .proposal {
  border-radius: 12px;
  border: 2px solid #8CD5CE;
  background: #DCEEEF;
  padding: 12px;
  padding-bottom: 24px;
  margin: 6px;
  width: 100%;
  display: inline-block
}

#app-content > .proposal .title {
  font-size: 1.5em;
  font-weight: bold;
  margin-bottom: 12px;
}

#app-content > .proposal .description {
  margin-left: 24px;
  margin-right: 24px;
  font-size: 1.1em;
  padding: 6px;
  background: rgba(256,256,256,0.5);
  border-radius: 8px;
}

#app-content > .proposal meter {
  width: 90%;
  margin-top: 12px;
  /* height: 25px; */
  /*-webkit-appearance: none; /* Reset appearance */
}

#app-content > .proposal meter::-webkit-meter-bar {
  background: none; /* Required to get rid of the default background property */
  background-color: whiteSmoke;
  box-shadow: 0 5px 5px -5px #333 inset;
}

#app-content > .proposal .bar {
  overflow: hidden;
  margin-top: 24px;
  margin-bottom: 24px;
  border: 3px solid #b3c8ca;
  border-radius: 12px;
}

#app-content > .proposal .bar-unfill {
  height:15px;
  display:block;
  background:#fff;
  width:100%;
  border-radius:8px;
  overflow: hidden;
}

#app-content > .proposal .bar-fill {
  height:15px;
  display:block;
  background:#8d45c9;
  width:0;
  border-radius:8px;
  -webkit-transition:width .8s ease;
  -moz-transition:width .8s ease;
  transition:width .8s ease;
  -webkit-animation:progressbar 7s;
  animation:progressbar 7s;
  background-image:linear-gradient(90deg, rgba(255,255,255,.5) 10%,transparent);
  float: left;
}

#app-content > .proposal .bar-fill-yes {
  height:15px;
  display:block;
  background:#00DD00;
  width:0;
  border-radius:8px;
  -webkit-transition:width .8s ease;
  -moz-transition:width .8s ease;
  transition:width .8s ease;
  -webkit-animation:progressbar 7s;
  animation:progressbar 7s;
  background-image:linear-gradient(90deg, rgba(255,255,255,.5) 10%,transparent);
  float: left;
}

#app-content > .proposal .bar-fill-no {
  height:15px;
  display:block;
  background:#DD0000;
  width:0;
  border-radius:8px;
  -webkit-transition:width .8s ease;
  -moz-transition:width .8s ease;
  transition:width .8s ease;
  -webkit-animation:progressbar 7s;
  animation:progressbar 7s;
  background-image:linear-gradient(270deg, rgba(255,255,255,.5) 10%,transparent);
  float:right;
}

#app-content > .proposal .bar-empty {
  display: block;
}

#app-content > .proposal .target-wrap {
  display: block;
  height: 0;
  margin-top: -4px;
  margin-left: 0;
  -webkit-animation:targetflash 2s infinite;
  animation:targetflash 2s infinite;
}

#app-content > .proposal .target {
  height:20px;
  display:block;
  background:#3ae3b6;
  width:16px;
  left:-9px;
  border: 2px solid #FFF;
  position:relative;
}

#app-content > .proposal .proposal-stats {
  display: inline-block;
  text-align: left;
  margin-right: 1%;
  margin-left: 5%;
  width: 42%;
  font-size: 1.2em;
}

#app-content > .proposal .bullet-support {
  color: #8d45c9;
}

#app-content > .proposal .bullet-required {
  color: #3ae3b6;
}

#app-content > .proposal .bullet-yes {
  color: #00DD00;
}

#app-content > .proposal .bullet-no {
  color: #DD0000;
}


//
// progress bar animation
//

/* Chrome, Safari, Opera */
@-webkit-keyframes progressbar {
    from {
        width:0
    }
}

/* Standard syntax */
@keyframes progressbar {
    from {
        width:0
    }
}

/* Chrome, Safari, Opera */
@-webkit-keyframes targetflash {
  from {
    opacity: 0.5;
  }
  50% {
    opacity: 1;
  }
  to {
    opacity: 0.5;
  }
}

/* Standard syntax */
@keyframes targetflash {
  from {
    opacity: 0.5;
  }
  50% {
    opacity: 1;
  }
  to {
    opacity: 0.5;
  }
}
